// $(function () {
//     //加载日期控件
//     initDateInput(1);
//     //加载分段
//     selectAssortsSelect();
// })
// function selectAssortsSelect(){
//     $.ajax({
//         type:'get',
//         url:path+'/commom/selectIsPowerByUser',
//         dataType:'json',
//         success:function (data) {
//             if(null != data){
//                 $("#assortId").empty();
//                 var html = '<option value="">全部</option>';
//                 for (var i = 0; i < data.length; i++) {
//                     html += '<option value="'+data[i].assortId+'">'+data[i].assortName+'</option>';
//                 }
//                 $("#assortId").append(html);
//             }
//         }
//     })
// }
var pageNumber;
var columns = [];
columns.push(
    {
        title:'全选',
        field:'select',
        checkbox:true,
        width:25,
        align:'center',
        valign:'middle'
    },
    {
        field:'ids',
        visible: false
    },
    {
        field: 'no',
        title: '序号',
        sortable: true,
        formatter: function (value, row, index) {
            //获取每页显示的数量
            var pageSize=$('#mytab').bootstrapTable('getOptions').pageSize;
            //获取当前是第几页
            var pageNumber=$('#mytab').bootstrapTable('getOptions').pageNumber;
            //返回序号，注意index是从0开始的，所以要加上1
            return pageSize * (pageNumber - 1) + index + 1;
        }
    },
    {
        title:'病案号',
        field:'patientId'
    },
    {
        title:'姓名',
        field:'patientName'
    },
    {
        title:'住院次数',
        field:'admissTimes'
    },
    {
        title:'出院日期',
        field:'disDate'
    },
    {
        title:'出院科室',
        field:'disDept',
    },
    {
        title:'主治医生',
        field:'attending',
    },
    {
        title:'操作人',
        field:'browseName'
    },
    {
        title:'操作时间',
        field:'browseTime'
    },
    {
        title:'IP地址',
        field:'ip'
     }
);

$('#mytab').bootstrapTable({
    toolbar: '#toolbar',                //工具按钮用哪个容器
    striped: true,                      //是否显示行间隔色
    cache: false,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
    pagination: true,                   //是否显示分页（*）
    sidePagination: "server",           //分页方式：client客户端分页，server服务端分页（*）
    paginationPreText : '上一页',
    paginationNextText : '下一页',
    pageNumber: 1,                       //初始化加载第一页，默认第一页
    pageSize: 10,                       //每页的记录行数（*）
    pageList: [5,10,15,20,50,1000],//可供选择的每页的行数（*）
    height: $(window).height()-139,                        //行高，如果没有设置height属性，表格自动根据记录条数觉得表格高度
    columns:columns,
    locale:'zh-CN',//中文支持,
    url:path+'/browseRecords/selectBrowseRecords',//排序方式
    queryParams: function (params) {
        return{
            limit : params.limit, // 每页显示数量
            offset : params.offset, // SQL语句起始索引
            page : (params.offset / params.limit) + 1, //当前页码,
            startTime:$("#startTime1").val(),
            endTime:$("#endTime1").val(),
            patientId:$("#patientId").val(),
            patientName:$("#patientName").val(),
            browseName:$("#browseName").val(),
        }
    },
    //选中单个复选框
    onCheck:function(row){
        var checks = $("#checks").val();
        $("#checks").val(checks+=row.id + ",");
    },
    //取消单个复选框
    onUncheck:function(row){
        var checks = $("#checks").val();
        checks = checks.replace(row.id + ",");
        $("#checks").val(checks);
    },
    //全选
    onCheckAll:function(rows){
        $("#checks").val("");
        var checks = '';
        for(var i=0;i<rows.length;i++)
        {
            checks += rows[i].id + ","
        }
        $("#checks").val(checks);
    },
    //全不选
    onUncheckAll: function (rows) {
        $("#checks").val("");
    },
    responseHandler:function(res){
        //在ajax获取到数据，渲染表格之前，修改数据源
        var nres = [];
        nres.push({total:res.total,rows:res.list});
        return nres[0];
    },
    onLoadSuccess:function(){
        $(".page-list").show();
        $(".fixed-table-body").css("overflow","auto");
    },
    //监听分页点击事件
    onPageChange: function(num, type) {
        pageNumber = num;
    }
})
//格式化
function paramsMatter(value) {
    if(value != null){
        value = '<p class="hidden-xs" title="'+value+'">'+value+'</p>'
        return value;
    }
}
//查询按钮
function refreshTable(){
    $("#checks").val("");
    $('#mytab').bootstrapTable('refresh',{
        url : path+'/browseRecords/selectBrowseRecords'
    })
    $('#mytab').bootstrapTable('selectPage', pageNumber);
}
//导出excel功能
function exportExcelCommom(reqUrl){
    var checks = $("#checks").val();
    var operType = $("#operType").val();
    if(checks != '') {
        checks = checks.substring(0, checks.length - 1);
        var url = path+reqUrl+"?checks="+checks+"&flag="+$("#flag").val()+"&operType="+$("#operType").val();
        window.location.href = url;
    }else{
        Common.confirm({
            title: "提示",
            message: "没有选中，您确定要按搜索栏条件导出?",
            operate: function (reselt) {
                if (reselt) {
                    var url = path+reqUrl+"?startTime="+$("#startTime1").val()+"&endTime="+$("#endTime1").val()
                        +"&creater="+$("#creater").val()+"&name="+$("#name").val()
                        +"&operType="+$("#operType").val()+"&assortId="+$("#assortId").val()
                        +"&inpatientNo="+$("#inpatientNo").val()+"&flag="+$("#flag").val()+"&operType="+operType+"&typeName="+$("#typeName").val();
                    window.open(url);
                }
            }
        })
    }
}

